Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ServerRequestInterceptor Interface Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::ServerRequestInterceptor:

[legend]
Collaboration diagram for PortableInterceptor::ServerRequestInterceptor:

[legend]
List of all members.

## Public Types
typedef ServerRequestInterceptor_ptr | _ptr_type
typedef ServerRequestInterceptor_var | _var_type
## Public Methods
void | receive_request_service_contexts (in ServerRequestInfo ri) raises (ForwardRequest)
void | receive_request (in ServerRequestInfo ri) raises (ForwardRequest)
void | send_reply (in ServerRequestInfo ri)
void | send_exception (in ServerRequestInfo ri) raises (ForwardRequest)
void | send_other (in ServerRequestInfo ri) raises (ForwardRequest)
virtual void | receive_request_service_contexts (PortableInterceptor::ServerRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )
virtual void | receive_request (PortableInterceptor::ServerRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )
virtual void | send_reply (PortableInterceptor::ServerRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | send_exception (PortableInterceptor::ServerRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )
virtual void | send_other (PortableInterceptor::ServerRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
ServerRequestInterceptor_ptr | _duplicate (ServerRequestInterceptor_ptr obj)
ServerRequestInterceptor_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServerRequestInterceptor_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServerRequestInterceptor_ptr | _nil (void)
| Return a NULL object. More...
## Static Public Attributes
int | _tao_class_id
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| ServerRequestInterceptor (void)
virtual | ~ServerRequestInterceptor (void)
## Private Methods
| ServerRequestInterceptor (const ServerRequestInterceptor &)
void | operator= (const ServerRequestInterceptor &)

## Member Typedef Documentation

typedef ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor::_ptr_type

| Reimplemented from PortableInterceptor::Interceptor.

typedef ServerRequestInterceptor_var PortableInterceptor::ServerRequestInterceptor::_var_type

| Reimplemented from PortableInterceptor::Interceptor.

## Constructor & Destructor Documentation

PortableInterceptor::ServerRequestInterceptor::ServerRequestInterceptor | ( | void |  | ) | `[protected]`

virtual PortableInterceptor::ServerRequestInterceptor::~ServerRequestInterceptor | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::ServerRequestInterceptor::ServerRequestInterceptor | ( | const ServerRequestInterceptor & |  | ) | `[private]`

## Member Function Documentation

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor::_duplicate | ( | ServerRequestInterceptor_ptr | obj | ) | `[static]`

virtual const char* PortableInterceptor::ServerRequestInterceptor::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from PortableInterceptor::Interceptor.

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableInterceptor::Interceptor.

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from PortableInterceptor::Interceptor.

virtual void* PortableInterceptor::ServerRequestInterceptor::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from PortableInterceptor::Interceptor.

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableInterceptor::Interceptor.

void PortableInterceptor::ServerRequestInterceptor::operator= | ( | const ServerRequestInterceptor & |  | ) | `[private]`

virtual void PortableInterceptor::ServerRequestInterceptor::receive_request | ( | PortableInterceptor::ServerRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )`[pure virtual]`

void PortableInterceptor::ServerRequestInterceptor::receive_request | ( | in ServerRequestInfo | ri | ) | raises (ForwardRequest)

virtual void PortableInterceptor::ServerRequestInterceptor::receive_request_service_contexts | ( | PortableInterceptor::ServerRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )`[pure virtual]`

void PortableInterceptor::ServerRequestInterceptor::receive_request_service_contexts | ( | in ServerRequestInfo | ri | ) | raises (ForwardRequest)

virtual void PortableInterceptor::ServerRequestInterceptor::send_exception | ( | PortableInterceptor::ServerRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )`[pure virtual]`

void PortableInterceptor::ServerRequestInterceptor::send_exception | ( | in ServerRequestInfo | ri | ) | raises (ForwardRequest)

virtual void PortableInterceptor::ServerRequestInterceptor::send_other | ( | PortableInterceptor::ServerRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )`[pure virtual]`

void PortableInterceptor::ServerRequestInterceptor::send_other | ( | in ServerRequestInfo | ri | ) | raises (ForwardRequest)

virtual void PortableInterceptor::ServerRequestInterceptor::send_reply | ( | PortableInterceptor::ServerRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::ServerRequestInterceptor::send_reply | ( | in ServerRequestInfo | ri | ) |

## Member Data Documentation

int PortableInterceptor::ServerRequestInterceptor::_tao_class_id`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from PortableInterceptor::Interceptor.

The documentation for this interface was generated from the following files:

- PortableInterceptor.pidl
- PortableInterceptorC.h